EXTREME BUG: YouTube videos not loading in Vivaldi



  • I think Vivaldi is a great browser, its fast, light, many features. But, theres one bug that almost made me switch back to Google Chrome. YouTube Videos made before December 2014 not working. This annoyed me very much. I hope the developers of Vivaldi are taking note of this large problem because I've heard many people complain about this. All Adobe Flash Player videos are not working. Only HTML5 videos work. I understand HTML5 is in its way in, but its still a large problem to the people who want to watch YouTube videos made before December 2014. I hope this is clear to the developers and admins. :)



  • @BlazeKing252:

    I think Vivaldi is a great browser, its fast, light, many features. But, theres one bug that almost made me switch back to Google Chrome. YouTube Videos made before December 2014 not working. This annoyed me very much. I hope the developers of Vivaldi are taking note of this large problem because I've heard many people complain about this. All Adobe Flash Player videos are not working. Only HTML5 videos work. I understand HTML5 is in its way in, but its still a large problem to the people who want to watch YouTube videos made before December 2014. I hope this is clear to the developers and admins. :)

    What is your version number? In the very latest build, NPAPI Flash, PPAPI flash, and HTML5 should ALL be working.



  • Version 1.0.303.52. Otherwise Known as Beta 1



  • #Fail this is what I found under the location for Adobe Flash Player: Applications/Google Chrome.app/Contents/Versions/47.0.2526.80/Google Chrome Framework.framework/Internet Plug-Ins/PepperFlash/PepperFlashPlayer.plugin and I found the PPAPI is inactive :angry:



  • Afaik chromium will shut down support for ppapi in the future anyway – any solution would be only temporary. If you wanna stay with ppapi for as long as possible Firefox is probably the best choice. Or just stick with pepper flash, I was sceptical at first, but it has improved significantly over the last 2 years.



  • @BlazeKing252:

    #Fail this is what I found under the location for Adobe Flash Player: Applications/Google Chrome.app/Contents/Versions/47.0.2526.80/Google Chrome Framework.framework/Internet Plug-Ins/PepperFlash/PepperFlashPlayer.plugin and I found the PPAPI is inactive :angry:

    OK. NPAPI Flash is being deprecated basically across the board. PPAPI (Pepper Flash) is pretty much the standard now, but there are still some videos and other apps on the web (like Silverlight or Channel 5 OD in the UK) that ONLY work with NPAPI. For SEVERAL versions, including the Beta you are using, NPAPI was disabled in Vivaldi. In the very latest snapshot, NPAPI is once again supported, and it seems will remain so for a while, until all providers and all browsers close it down for good.

    SO, go to https://vivaldi.net/ and get the very latest snapshot (1.0.344.24) and install that. NPAPI Flash will be working again. You will probably ALSO want to go to Adobe and download PPAPI (Pepper Flash), version 20, so that other, newer, content on the web will also play.



  • @luetage:

    Afaik chromium will shut down support for ppapi in the future anyway – any solution would be only temporary. If you wanna stay with ppapi for as long as possible Firefox is probably the best choice. Or just stick with pepper flash, I was sceptical at first, but it has improved significantly over the last 2 years.

    You have this backwards, I fear. NPAPI is being deprecated. PPAPI (which IS Pepperflash) is the new standard.



  • Thank you… I hope this will resolve my problem :)


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.